:root{
    --quote-text-color: #543131;
    --form-input-selector-background: white;
    --form-input-border-color: #d3cbd4;
    --form-input-color: #2b2a27;
    --form-input-hover-border-color: #b5a999;
    --form-input-focus-border-color: #3a506b;
    --form-input-focus-shadow-color: rgba(74, 87, 89, 0.15);
    --form-input-hover-background-color: white;
    --font-size-picker-hover-color: #e2ac6c;
    --emoji-kategorie-hover-color: rgb(220, 220, 200);
    --marked-area-color: rgb(190, 190, 190);
    --current-page-border-color: #aba282;
    --quest-selection-div-hover-color: var(--default-box-hover-color);
}

@media(prefers-color-scheme: dark) {
    :root {
        --quote-text-color: #b8b8b8;
        --form-input-selector-background: #1e1e1e;
        --form-input-border-color: #2d2d2d;
        --form-input-color: #e3e3e3;
        --form-input-hover-border-color: #3d3d3d;
        --form-input-focus-border-color: #60a5fa;
        --form-input-focus-shadow-color: rgba(96, 165, 250, 0.2);
        --form-input-hover-background-color: #252525;
        --font-size-picker-hover-color: #3f3e3e;
        --emoji-kategorie-hover-color: #3f3e3e;
        --marked-area-color: rgb(60, 60, 60);
        --current-page-border-color: #4a4a4a;
    }
}

.theme-light{
    --quote-text-color: #543131;
    --form-input-selector-background: white;
    --form-input-border-color: #d3cbd4;
    --form-input-color: #2b2a27;
    --form-input-hover-border-color: #b5a999;
    --form-input-focus-border-color: #3a506b;
    --form-input-focus-shadow-color: rgba(74, 87, 89, 0.15);
    --form-input-hover-background-color: white;
    --font-size-picker-hover-color: #e2ac6c;
    --emoji-kategorie-hover-color: rgb(220, 220, 200);
    --marked-area-color: rgb(190, 190, 190);
    --current-page-border-color: #aba282;
}

.theme-dark{
    --quote-text-color: #b8b8b8;
    --form-input-selector-background: #1e1e1e;
    --form-input-border-color: #2d2d2d;
    --form-input-color: #e3e3e3;
    --form-input-hover-border-color: #3d3d3d;
    --form-input-focus-border-color: #60a5fa;
    --form-input-focus-shadow-color: rgba(96, 165, 250, 0.2);
    --form-input-hover-background-color: #252525;
    --font-size-picker-hover-color: #3f3e3e;
    --emoji-kategorie-hover-color: #3f3e3e;
    --marked-area-color: rgb(60, 60, 60);
    --current-page-border-color: #4a4a4a;
}

#gb_name{
    margin-bottom: 20px;
    padding: 3px 5px;
}

#textarea{
    margin-top: 10px;
    padding: 7px;
    min-width: 80%;
    max-height: 200px;
    overflow-y: auto;
}

#eventTimer {
    min-width: 20%;
    user-select: none;
}

#eventTimer td {
    background-color: var(--default-blue);
    font-size: 14pt;
    padding: 10px;
}

#contact{
    margin: 20px 0 30px 0;
}

#gb{
    margin: 10px 0 10px 0;
}

#gb_submit{
    margin-bottom: 10px;
}


form input, form textarea, #textarea {
    border: 1px solid var(--form-input-border-color);
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.02);
    border-radius: 8px;
    background-color: var(--form-input-selector-background);
    color: var(--form-input-color);
    transition: all 0.2s ease-in-out;
}

form input {
    font-size: 12pt;
    height: 30px;
    min-width: 35%;
    padding: 3px;
    margin-top: 5px;
    margin-bottom: 30px;
}

form input:hover, form textarea:hover, select:hover, #textarea:hover{
    background-color: var(--form-input-hover-background-color);
    border: 1px solid var(--form-input-hover-border-color);
}

form input:focus, form textarea:focus, #textarea:hover {
    outline: none;
    border: 1px solid var(--form-input-focus-border-color);
    box-shadow: 0 0 0 4px var(--form-input-focus-shadow-color);
}

select {
    height: 35px;
    font-size: 13pt;
    min-width: 25%;
    margin-top: 5px;
    margin-bottom: 30px;
    padding: 5px;
    background-color: var(--form-input-selector-background);
    color: var(--default-text-color);
    border: 1px solid var(--default-border-color);
    border-radius: 5px;
}


textarea, #textarea {
    font-size: 12pt;
    font-family: "Liberation Sans";
    min-width: 70%;
    min-height: 100px;
    max-width: 100%;
    padding: 7px;
    margin-top: 5px;
    margin-bottom: 20px;
}

label {
    font-size: 14pt;
}

button {
    font-size: 12pt;
    height: 50px;
    width: 140px;
    border: none;
    border-radius: 10px;
}

.font_buttons{
    user-select: none;
    border-radius: 8px;
    margin-bottom: 2px;
}

.font_buttons:hover{
    background-color: var(--default-image-hover-color);
    cursor: pointer;
}

.tabelle_20{
    min-width: 20%;
}

.pt18{
    font-family: 'Inter', 'Chalkboard SE', 'Comic Neue', sans-serif;
    color: var(--default-h2-color);
    font-size: 18pt;
}

.pt14{
    font-family: 'Inter', 'Chalkboard SE', 'Comic Neue', sans-serif;
    color: rgb(253, 103, 3);
    font-size: 14pt;
}

.questkette{
    font-size: 14pt;
    color: var(--default-green);
    margin-top: 20px;
    font-family: inherit;
}

.questname{
    font-size: 14pt;
    color: var(--default-blue);
    margin-top: 20px;
    font-family: inherit;
}

.special_list li{
    margin-bottom: 10px;
}

.variante-abtrennung{
    border-bottom: 2px solid gray;
}

.button-gens {
    padding: 5px;
    display: inline-block;
    height: 60px;
    width: 190px;
}

.checkbox{
    width: 20px;
    height: 20px;
    accent-color: #0078D7;
    margin: 3px;
}

.time{
    min-width: 6%;
    max-width: 30%;
}

.auffüller{
    margin-left: 20px;
}

.quest-selection{
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
    width: 100%;
    overflow-x: auto;
    padding-top: 4px;
    padding-right: 10px;
    background-color: var(--special-box-color);
    border: 1px solid var(--default-border-color);
    user-select: none;
    border-radius: 10px;
}

.quest-selection div{
    margin-left: 10px;
    cursor: pointer;
    padding: 9px;
    font-family: 'Inter';
    font-weight: bold;
    border-radius: 5px 5px 0 0;
}

.quest-selection div:hover{
    background-color: var(--quest-selection-div-hover-color);
}

.slider{
    width: 50%;
}

.marked-area{
    background-color: var(--marked-area-color);
}

.ausgeschaltet{
    pointer-events: none;
}

.gb_eintrag{
    border-radius: 7px;
    padding: 7px;
    overflow-x: auto;
    margin-top: 0;
    background-color: var(--special-box-color);
    border: 1px solid var(--default-border-color);
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.03);
}

.eintrag_headline{
    padding: 5px;
    margin-bottom: 2px;
    color: #0078D7;
    border-bottom: 1px solid lightblue;
}

.eintrag_datum{
    padding-left: 4px;
    font-size: 12px;
}

.eintrag_text{
    padding: 5px;
    margin-top: 0;
}

.eintrag_text span{
    font-family: "Noto Color Emoji", sans-serif !important;
    font-weight: 400;
    font-style: normal;
}

.submit_button, .button-gens{
    background-color: var(--default-box-color);
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.03);
    transition: box-shadow 0.2s, translateY 0.2s;
    border: 1px solid var(--default-border-color);
    color: var(--default-text-color);
}

.submit_button:hover, .button-gens:hover{
    background-color: var(--default-box-hover-color);
    cursor: pointer;
}

#fontSizePicker{
    position: absolute;
    left: 150px;
    list-style-type: none;
    border: 1px solid var(--default-border-color);
    background-color: var(--default-box-color);
    box-shadow: 0 6px 12px rgba(0, 0, 0, 0.06);
    cursor: pointer;
    user-select: none;
    z-index: 9999;
}

#fontSizePicker li{
    padding: 6px;
}

#fontSizePicker li:hover{
    background-color: var(--default-box-hover-color);
}

.gb_eintrag h1, #textarea h1 { 
    color: var(--default-text-color);
    font-size: 1.5em;
    font-weight: bold;
    text-align: left;
    display: initial;
    line-height: initial;
}

#textarea h1{
    color: inherit;
}

.noto-color-emoji-regular {
    font-family: "Noto Color Emoji", sans-serif !important;
    font-weight: 400;
    font-style: normal;
}

.gb_eintrag a{
    color: white !important;
    text-decoration: underline !important;
}

.gb_eintrag a:hover{
    text-decoration: none !important;
}

#emoji_menu{
    background-color: var(--special-box-color);
    padding: 10px;
    border: 1px solid var(--default-border-color);
    border-radius: 10px;
    width: 350px;
    user-select: none;
    max-width: 90%;
}

#emoji_kategorie{
    display: flex;
    width: 100%;
    overflow-y: auto;
    border-bottom: 1px solid grey;
}

#emoji_kategorie div{
    margin-right: 10px;
    padding: 3px;
}

#emoji_kategorie div:hover{
    border: none;
    background-color: var(--emoji-kategorie-hover-color);
    border-radius: 5px;
    padding-bottom: 7.7px;
    cursor: pointer;
}

.emoji_list{
    overflow-y: auto;
    height: 190px;
}

.emoji_reihe{
    display: flex;
}

.emoji_reihe div{
    margin-right: 15px;
    padding: 5px;
    border-radius: 5px;
    font-size: 16pt;
}

.emoji_reihe div:hover{
    background-color: var(--emoji-kategorie-hover-color);
    cursor: pointer;
}

.kategorie_aktiv{
    border-bottom: 5px solid var(--accent-blue);
}

.saisonal{
    background-color: var(--reihe3-background-color);
    color: var(--reihe3-text-color);
}

.backwards_button{
    position: fixed;
    top: 60px;
    left: 6px;
    background-color: var(--default-box-color);
    border: 1px solid var(--default-border-color);
    padding: 5px;
    border-radius: 10px;
    user-select: none;
    cursor: pointer;
}

.backwards_button:hover{
    background-color: var(--default-box-hover-color);
}

.current_page, .other_pages, .page_slider{
    padding: 14px;
    color: var(--default-text-color) !important;
    border-radius: 7px;
    border: 1px solid var(--default-border-color);
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.03);
    transition: box-shadow 0.2s, translateY 0.2s;
    font-size: 14pt;
    user-select: none;
    margin-right: 5px;
    margin-top: 5px;
    text-decoration: none;
    line-height: 3.5em;
}

.current_page, .selected_area{
    background-color: var(--marked-area-color);
    border: 1px solid var(--current-page-border-color);
}

.other_pages, .page_slider{
    background-color: var(--default-box-color);
}

.other_pages:hover, .page_slider:hover{
    cursor: pointer;
    text-decoration: none;
    background-color: var(--quest-selection-div-hover-color);
    box-shadow: 0 6px 12px rgba(0, 0, 0, 0.06);
    transform: translateY(-2px);
}

.admin-entry{
   border-left: 4px solid var(--default-green);
   border-top-left-radius: 10px;
   border-bottom-left-radius: 10px;
}

.admin-entry .eintrag_headline{
    color: var(--default-green);
    font-weight: bold;
}

.quote{
    background-color: var(--default-background-color);
    padding: 7px;
    border-radius: 5px;
    border: 1px solid var(--default-border-color);
    margin-top: 5px;
    margin-bottom: 5px;
    color: var(--quote-text-color);
    font-style: italic;
}

.quote p{
    border-bottom: 1px solid var(--default-text-color);
    margin-bottom: 6px;
    padding-bottom: 3px;
    color: var(--default-text-color);
}

.quote p a{
    color: #0078D7 !important;
}

.gilden_belohnung td{
    padding-right: 10px;
    padding-bottom: 7px;
    padding-top: 7px;
}

.buff_overview{
    text-align: center;
}

.card_container{
    flex: 1;
}

@media(max-width:903px) {
    form input, textarea, select, #textarea{
        width: 95%;
    }

    .auffüller{
        margin-left: 10px;
    }

    .backwards_button{
        left: 1%;
    }
}

@media(max-width: 600px) {
    .eintrag_text{
        font-family: 'Noto Color Emoji';
    }
    
    #textarea{
        font-family: 'Noto Color Emoji' !important;
    }

    #emoji_menu{
        width: 90% !important;
    }

}

@media(max-width:470px) {
    .slider{
        width: 100%;
    }
}

@media(max-width:350px) {
    #emoji_menu{
        width: 90%;
    }
}

@media(max-width: 880px) {
    .backwards_button{
        top: 1%;
        left: 15%;
    }
}